menu_tb:
  namespace: "Organisms/TM - Menus"
  use: "@organisms/tm-menu/menu-tb/menu-tb.twig"
  label: Tabbed Menu
  description: Tabbed Menu
  libraries:
    - menu_tb_lib:
        css:
          component:
            ../styles/menu-tb.css: { }

  fields:
    mid:
      type: text
      label: Menu ID
      description: Menu ID
      preview: "my-menu"
    links:
      type: object
      label: Items
      preview:
        - lid: "_1"
          title: "Stansted Express"
          url: "/"
          icon: 'fas fa-star'
          active: true
        - lid: "_2"
          title: "Transparency"
          url: "/"
          icon: null
        - lid: "_3"
          title: "Privacy Policy"
          url: "/"
          icon: null
        - lid: "_4"
          title: "Keeping you Safe and Secure"
          url: "/"
          icon: null

  settings:
    wrapper_attributes:
      type: attributes
      label: Attributes for the menu wrapper
    wrapper_class:
      type: textfield
      label: Wrapper classes
